Calendars
List Calendar Blocked Times
Returns a paginated list of calendar Blocked Times.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
calendar_id*string
Unique identifier of the related calendar.
Format
uuidQuery Parameters
external_id?string
Identifier assigned by an external system.
external_id[in]?string
Filters by any of the supplied external id values.
window_start?string
Filters resources by window start.
Format
date-timewindow_end?string
Filters resources by window end.
Format
date-timelimit?integer
Maximum number of resources to return.
Default
10Range
0 <= value <= 100page_token?string
Opaque token returned by a previous page request.
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://api.getmateo.com/v1/calendars/497f6eca-6276-4993-bfeb-53cbbbba6f08/blocked-times"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97", "source": "manual", "name": "string", "external_id": "string", "is_all_day": true, "start_at": "2019-08-24T14:15:22Z", "end_at": "2019-08-24T14:15:22Z", "recurrence_rule": "string", "series_id": "0f6582ac-1e7e-41dc-a63a-24fccd074d0c", "replaces_occurrence_at": "2019-08-24T14:15:22Z" } ], "next_page_url": "string", "previous_page_url": "string"}